package polling_station_dashboard.StatusLog.java;

import javafx.fxml.FXML;
import javafx.stage.Stage;

/**
 * Created by Vladimir Eliezer Tokarev on 04/06/2016.
 * This class represent status of other users progress in the voting process
 */
public class StatusLogController {

    private Stage primaryStage;
    private StatusLogUpdate statusLogUpdater;

    public void SetStatusLogUpdater(StatusLogUpdate updater){
        statusLogUpdater = updater;
    }

    public void SetStage(Stage stage){
        primaryStage = stage;
    }

    @FXML
    private void CloseStatusLog(){
        // UpdateStatusLog is called from open status log object which means that
        // the current UpdateStatusLog will close it
        statusLogUpdater.UpdateStatusLog();
    }

}
